<cfparam name="url.type" default="numeric" />
<cfsetting showdebugoutput="false" />
<cfoutput>
<cfswitch expression="#url.type#">
	
	<cfcase value="category">
		<chart type="bar">
			<xaxis type="linear" />
			<yaxis type="category" />
			<data>
				<set type="bar" label="Set ##1">
					<cfloop from="2" to="3" index="i">
						<series type="bar" label="Series ###i - 1#">
							<cfloop from="7" to="1" index="j" step="-1">
								<point y="#dayOfWeekAsString(j)#" x="#randRange(1, i * j)#" />
							</cfloop>
						</series>
					</cfloop>
				</set>
			</data>
		</chart>
	</cfcase>

	<cfcase value="datetime">
		<chart type="cartesian" legend="top">
			<xaxis type="datetime" />
			<yaxis type="linear" />
			<data>
				<series type="area" label="Series ##1">
					<cfloop from="1" to="10" index="j">
						<point x="#dateAdd("d", -20 + j, now()).getTime()#" y="#randRange(1, j)#" />
					</cfloop>
				</series>
				<cfloop from="2" to="3" index="i">
					<series type="line" label="Series ###i#">
						<cfloop from="1" to="10" index="j">
							<point x="#dateAdd("d", -20 + j, now()).getTime()#" y="#randRange(1, i * j)#" />
						</cfloop>
					</series>
				</cfloop>
			</data>
		</chart>
	</cfcase>
	
	<cfcase value="pie">
		<chart type="pie">
			<data>
				<series type="pie" label="Series ##1">
					<cfloop from="1" to="7" index="i">
						<point x="#dayOfWeekAsString(i)#" y="#randRange(1, i)#" />
					</cfloop>
				</series>
			</data>
		</chart>
	</cfcase>
	
	<cfdefaultcase><!--- numeric --->
		<chart type="cartesian" legend="top">
			<xaxis type="linear"
				baseAtZero="false"
				label="my x axis"
				placement="top" />
			<yaxis type="linear"
				label="my y axis"
				placement="right" />
			<data>
				<set type="column" label="Set ##1" grouping="clustered">
					<cfloop from="1" to="2" index="i">
						<series type="column" label="Series ###i#">
							<cfloop from="3" to="10" index="j">
								<point x="#j#" y="#randRange(1, i * j)#" />
							</cfloop>
						</series>
					</cfloop>
				</set>
				<cfloop from="3" to="4" index="i">
					<series type="line" label="Series ###i#">
						<cfloop from="3" to="10" index="j">
							<point x="#j#" y="#randRange(1, i * j)#" />
						</cfloop>
					</series>
				</cfloop>
			</data>
		</chart>
	</cfdefaultcase>

</cfswitch>
</cfoutput>
<cfif expandPath(cgi.script_name) EQ getCurrentTemplatePath()>
	<cfcontent type="text/xml" reset="false" />
</cfif>