<cfimport prefix="c" taglib="." />

<cfparam name="url.name" default="silly" />
<cfoutput>
<script type="text/javascript">
function repopulate() {
	var t = document.getElementById("typeselect");
	t = t.options[t.selectedIndex].value;
	chart.setDescriptorUrl("descriptor.cfm?r=" + Math.random() + "&type=" + t);
}
</script>
<h1>FlexChart</h1>
<p>This is the demo site for a simple charting engine built in Flex.  The engine is a single-file Flex app (ChartViewer.mxml) that accepts an XML descriptor file for what to render and how.  The demo is populated with random data using <a href="descriptor.cfm">this descriptor</a>.  This is the same randomized descriptor used by the 'Repopulate' link below.
</p>
<c:xmlchart id="chart"
	width="640"
	height="400">
	<cfinclude template="descriptor.cfm" />
</c:xmlchart>
<!--
This uses the setDescriptorUrl of the embedded SWF (note the ID match
between it and the chart above) to load a new descriptor dynamically
without refreshing the SWF.  You can also use the setDescriptor method
to supply a literal descriptor, if you want.
-->
<p><a href="javascript:void(repopulate());">Repopulate</a> - dynamically loads a new descriptor file of type
<select id="typeselect" onchange="repopulate();">
	<option value="numeric">Numeric Line/Column</option>
	<option value="datetime">DateTime Area/Line</option>
	<option value="category">Category Bar</option>
	<option value="pie">Pie</option>
</select>
into the SWF.
</p>

<p>The descriptor can be provided literally (as happens for the initial state), or via a URL for the SWF to request (as happens for repopulating).  The source is available at <a href="https://ssl.barneyb.com/svn/barneyb/flexchart/trunk/src/">https://ssl.barneyb.com/svn/barneyb/flexchart/trunk/src/</a> (or up one level for a FlexBuilder 3 project using SDK 2.0.1).
</p>

<p>There is fairly complete inline documentation throughout the sample app, xmlchart.cfm (the wrapper tag) and ChartViewer.mxml (the rendering engine).
</p>
</cfoutput>
